## org.eclipse.emf.ecoretools.tabbedproperties
Class TabbedPropertiesTypeMapper

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractTypeMapper
          org.eclipse.emf.ecoretools.tabbedproperties.TabbedPropertiesTypeMapper

All Implemented Interfaces:
  org.eclipse.ui.views.properties.tabbed.ITypeMapper

    public class TabbedPropertiesTypeMapper

extends org.eclipse.ui.views.properties.tabbed.AbstractTypeMapper

An implementation of AbstractTypeMapper. This class matches the type of selected objects inside the workbench part with the input type attributes defined in the PropertySection extensions. We can either match objects from a tree editor or elements based on Eclipse GEF like EditParts. Creation 19 sept. 06

Constructor Summary
`TabbedPropertiesTypeMapper()`

Method Summary
`java.lang.Class<?>` `mapType(java.lang.Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabbedPropertiesTypeMapper

    public TabbedPropertiesTypeMapper()

Method Detail

### mapType

    public java.lang.Class<?> mapType(java.lang.Object object)

  Specified by:
    `mapType` in interface `org.eclipse.ui.views.properties.tabbed.ITypeMapper`
  Overrides:
    `mapType` in class `org.eclipse.ui.views.properties.tabbed.AbstractTypeMapper`
  See Also:
    `AbstractTypeMapper.mapType(java.lang.Object)`

Copyright 2007 Anyware Technologies. All Rights Reserved.